> For the complete documentation index, see [llms.txt](https://docs.bird.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bird.com/api/numbers-api/api-reference/number-lookup/network-country-information-for-a-phone-number.md).

# Network/Country information for a phone number

## Network/Country information for a phone number

> Performs network lookup for a phone number

```json
{"openapi":"3.0.3","info":{"title":"Numbers","version":"v1"},"tags":[],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"parameters":{"queryPhoneNumber":{"allowEmptyValue":false,"in":"query","name":"number","schema":{"$ref":"#/components/schemas/PhoneNumber"}}},"schemas":{"PhoneNumber":{"type":"string","description":"The phone number in E.164 format.","minLength":1,"maxLength":30},"NetworkLookupResponse":{"type":"object","additionalProperties":false,"properties":{"phoneNumber":{"type":"string"},"countryCode":{"$ref":"#/components/schemas/NumbersCountryCode"},"countryPrefix":{"type":"integer"},"mcc":{"type":"string"},"mnc":{"type":"string"},"mccmnc":{"type":"string"},"operator":{"type":"string"},"formats":{"description":"The phone number in various formats","type":"object","additionalProperties":false,"properties":{"e164":{"type":"string"},"international":{"type":"string"},"national":{"type":"string"},"rfc3966":{"type":"string"}}},"typeOfService":{"description":"The type of service that the phone number is provisioned for, mobile, fixed or other","enum":["mobile","fixed","other"],"type":"string"},"validation":{"description":"The validation status of the phone number, and the reason for the status","type":"object","additionalProperties":false,"properties":{"valid":{"type":"boolean"},"reason":{"type":"string"}}}}},"NumbersCountryCode":{"type":"string","format":"iso3166-1","description":"The country code in ISO 3166-1 alpha-2 format."},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/network-lookup":{"get":{"description":"Performs network lookup for a phone number","operationId":"networkLookup","parameters":[{"$ref":"#/components/parameters/queryPhoneNumber"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NetworkLookupResponse"}}},"description":"OK"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Network/Country information for a phone number","tags":["network-lookup"]}}}}
```

### Bulk lookups

Our bulk API supports up to 50 phone number lookups in one request. This number lookup will only be performed on our set of curated number databases and will **not** perform a network lookup for the given numbers.

## Batch network/country information for multiple phone numbers

> Performs network lookup for multiple phone numbers using the local embedded database

```json
{"openapi":"3.0.3","info":{"title":"Numbers","version":"v1"},"tags":[],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"BatchNetworkLookupResponse":{"type":"object","additionalProperties":false,"properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/NetworkLookupResponse"}}}},"NetworkLookupResponse":{"type":"object","additionalProperties":false,"properties":{"phoneNumber":{"type":"string"},"countryCode":{"$ref":"#/components/schemas/NumbersCountryCode"},"countryPrefix":{"type":"integer"},"mcc":{"type":"string"},"mnc":{"type":"string"},"mccmnc":{"type":"string"},"operator":{"type":"string"},"formats":{"description":"The phone number in various formats","type":"object","additionalProperties":false,"properties":{"e164":{"type":"string"},"international":{"type":"string"},"national":{"type":"string"},"rfc3966":{"type":"string"}}},"typeOfService":{"description":"The type of service that the phone number is provisioned for, mobile, fixed or other","enum":["mobile","fixed","other"],"type":"string"},"validation":{"description":"The validation status of the phone number, and the reason for the status","type":"object","additionalProperties":false,"properties":{"valid":{"type":"boolean"},"reason":{"type":"string"}}}}},"NumbersCountryCode":{"type":"string","format":"iso3166-1","description":"The country code in ISO 3166-1 alpha-2 format."},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/network-lookup/batch":{"get":{"description":"Performs network lookup for multiple phone numbers using the local embedded database","operationId":"batchNetworkLookup","parameters":[{"name":"numbers","in":"query","description":"Comma-separated list of phone numbers to look up (max 50)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchNetworkLookupResponse"}}},"description":"OK"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Batch network/country information for multiple phone numbers","tags":["network-lookup"]}}}}
```

## Batch network/country information for multiple phone numbers

> Performs network lookup for multiple phone numbers using the local embedded database

```json
{"openapi":"3.0.3","info":{"title":"Numbers","version":"v1"},"tags":[],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"BatchNetworkLookupResponse":{"type":"object","additionalProperties":false,"properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/NetworkLookupResponse"}}}},"NetworkLookupResponse":{"type":"object","additionalProperties":false,"properties":{"phoneNumber":{"type":"string"},"countryCode":{"$ref":"#/components/schemas/NumbersCountryCode"},"countryPrefix":{"type":"integer"},"mcc":{"type":"string"},"mnc":{"type":"string"},"mccmnc":{"type":"string"},"operator":{"type":"string"},"formats":{"description":"The phone number in various formats","type":"object","additionalProperties":false,"properties":{"e164":{"type":"string"},"international":{"type":"string"},"national":{"type":"string"},"rfc3966":{"type":"string"}}},"typeOfService":{"description":"The type of service that the phone number is provisioned for, mobile, fixed or other","enum":["mobile","fixed","other"],"type":"string"},"validation":{"description":"The validation status of the phone number, and the reason for the status","type":"object","additionalProperties":false,"properties":{"valid":{"type":"boolean"},"reason":{"type":"string"}}}}},"NumbersCountryCode":{"type":"string","format":"iso3166-1","description":"The country code in ISO 3166-1 alpha-2 format."},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/network-lookup/batch":{"post":{"description":"Performs network lookup for multiple phone numbers using the local embedded database","operationId":"batchNetworkLookupPost","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"phoneNumbers":{"type":"array","description":"List of phone numbers to look up","maxItems":50,"items":{"type":"string"}}},"required":["phoneNumbers"]}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchNetworkLookupResponse"}}},"description":"OK"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Batch network/country information for multiple phone numbers","tags":["network-lookup"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/numbers-api/api-reference/number-lookup/network-country-information-for-a-phone-number.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
